Set objArgs = Wscript.Arguments
numArgs = objArgs.Count
'WScript.Echo "Number of command line arguments: " & numArgs
If numArgs <> 2 Then
	WScript.Echo "Usage: UC4.vbs <environment> <version>"
	WScript.Quit 1
End If
uc4Env = objArgs(0)
uc4Env = UCase(uc4Env)
uc4Ver = objArgs(1)
Select Case uc4Env
	Case "EXP"
'		WScript.Echo "UC4 Experimental (EXP) selected." 
	Case "EXP2"
'		WScript.Echo "UC4 Experimental 2 (EXP2) selected." 
	Case "DEV"
'		WScript.Echo "UC4 Development (DEV) selected." 
	Case "ITE"
'		WScript.Echo "UC4 Integrated Test Env. (ITE) selected." 
	Case "PROD"
'		WScript.Echo "UC4 Production (PROD) selected." 
	Case Else
		WScript.Echo "Unknown UC4 environment: " & uc4Env
		WScript.Quit 1
End Select
Select Case uc4Ver
	Case "9"
'		WScript.Echo "Version 9 selected." 
	Case "11"
'		WScript.Echo "Version 11 selected." 
	Case "12"
'		WScript.Echo "Version 12 selected." 
	Case Else
		WScript.Echo "Unsupported UC4 version: " & uc4Ver
		WScript.Quit 1
End Select
Set oShell = CreateObject ("Wscript.Shell")
Dim strArgs
strArgs = "cmd /c ucdj.bat " & uc4Env & " " & uc4Ver
oShell.Run strArgs, 0, false